Building Ambari packages for newer NiFi

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Building Ambari packages for newer NiFi

Mike Thomsen
Are there are any publicly available steps for packaging NiFi 1.7 or newer
for deployment from and management by Ambari?

Thanks,

Mike
Reply | Threaded
Open this post in threaded view
|

Re: Building Ambari packages for newer NiFi

Bryan Bende
There isn't really an existing way to install any version of Apache
NiFi via Ambari, there is only the HDF stack provided by a vendor
which includes a version of NiFi based on an apache release.

You would need to create a management pack for Ambari [1] and also
have a yum repo which contained the RPMs of whatever you wanted to
install.

[1] https://github.com/apache/ambari/tree/trunk/contrib/management-packs
On Fri, Oct 5, 2018 at 8:06 AM Mike Thomsen <[hidden email]> wrote:
>
> Are there are any publicly available steps for packaging NiFi 1.7 or newer
> for deployment from and management by Ambari?
>
> Thanks,
>
> Mike
Reply | Threaded
Open this post in threaded view
|

Re: Building Ambari packages for newer NiFi

Mike Thomsen
Thanks, Bryan.

On Fri, Oct 5, 2018 at 9:52 AM Bryan Bende <[hidden email]> wrote:

> There isn't really an existing way to install any version of Apache
> NiFi via Ambari, there is only the HDF stack provided by a vendor
> which includes a version of NiFi based on an apache release.
>
> You would need to create a management pack for Ambari [1] and also
> have a yum repo which contained the RPMs of whatever you wanted to
> install.
>
> [1] https://github.com/apache/ambari/tree/trunk/contrib/management-packs
> On Fri, Oct 5, 2018 at 8:06 AM Mike Thomsen <[hidden email]>
> wrote:
> >
> > Are there are any publicly available steps for packaging NiFi 1.7 or
> newer
> > for deployment from and management by Ambari?
> >
> > Thanks,
> >
> > Mike
>